
/*
   2-DigitalRead Challenge:
   Turn LED on only when the button is being pressed.

   Hints: You will need to use the if(condition) statement.
          The serial monitor part of the program is optional.
*/

//push-button is connected to pin 15
//constant integers (const int) cannont be changed later in the program
const int button = 15;
//LED is connected to pin 9
const int led = 9;

//create variable to check if the button is pressed
//initialize 0 (OFF/LOW) as the starting value
int pressed = 0;

void setup() {

  //set button (pin 15) to input
  pinMode(button, INPUT);
  //set LED (pin 9) to output
  pinMode(led, OUTPUT);

  //enable serial monitor (default is 9600Hz)
  //open: Tools > Serial Monitor (Ctrl + Shift + M)
  Serial.begin(9600);
}

void loop() {

  //check is button is pressed, and store to integer
  //digitalRead returns 0 (LOW/OFF) or 1 (HIGH/ON)
  pressed = digitalRead(button);

  //print a string of characters (in quotes) to serial monitor
  Serial.print("pressed = ");
  //print pressed value (1 or 0)
  Serial.print(pressed);

  //these commands will only be executed if pressed = 1
  //the "==" is necessary to distinguish from "=" used to assign variables
  if (pressed == 0) {

    //the extra spaces will appear in serial monitor
    //println will return to the next line at the end
    Serial.println("   (button is not pressed)");
  }

  //if "pressed != 0" (does not equal 0), execute these commands
  else {
    Serial.println("   (button is pressed)");
  }

  //delay for stability, prevent too many readings
  delay(10);
}
