
/*
   2-RGB-Colour Challenge:
   Use the potentiometer as smooth analog colour selector (scroll through all the hues of colour).

   Hints: Common anode (CA) RGBs are 3 (red, green, blue) LEDs that share a common +5V.
          CA-RGBs are "backwards" from conventional LEDs.
          0/LOW is 100% ON, and 255/HIGH is 100% OFF.
*/

//potentiometer connected to A0
const int pot = A0;

//RGB connected to pins 9, 10, 11
const int red = 9;
const int green = 10;
const int blue = 11;

//create variable for potentiometer value
int potValue = 0;

void setup() {
  //set potentiometer to input
  pinMode(pot, INPUT);
  //set LEDs to output
  pinMode(red, OUTPUT);
  pinMode(green, OUTPUT);
  pinMode(blue, OUTPUT);
}

void loop() {

  //read pot and assign to potValue (0-1023)
  potValue = analogRead(pot);

  //seperate potValue (1024 values) into 8 options (128 each)
  //1 option ON, 6 options for different colours, 1 option OFF
  potValue = potValue / 128;

  //0: all LEDs off
  if (potValue == 0) {
    //turn all LEDs off
    digitalWrite(red, HIGH);
    digitalWrite(green, HIGH);
    digitalWrite(blue, HIGH);
  }

  //1: red
  else if (potValue == 1) {
    analogWrite(red, 0);
    analogWrite(green, 255);
    analogWrite(blue, 255);
  }

  //2: magenta
  else if (potValue == 2) {
    analogWrite(red, 127);
    analogWrite(green, 255);
    analogWrite(blue, 127);
  }

  //3: blue
  else if (potValue == 3) {
    analogWrite(red, 255);
    analogWrite(green, 255);
    analogWrite(blue, 0);
  }

  //4: cyan
  else if (potValue == 4) {
    analogWrite(red, 255);
    analogWrite(green, 127);
    analogWrite(blue, 127);
  }

  //5: green
  else if (potValue == 5) {
    analogWrite(red, 255);
    analogWrite(green, 0);
    analogWrite(blue, 255);
  }

  //6: yellow
  else if (potValue == 6) {
    analogWrite(red, 127);
    analogWrite(green, 127);
    analogWrite(blue, 255);
  }

  //7: all LEDs on
  else if (potValue == 7) {
    digitalWrite(red, LOW);
    digitalWrite(green, LOW);
    digitalWrite(blue, LOW);
  }

  //delay for stability
  delay(1);
}

