
/*
   3-Analog Challenge:
   Analog output to the LED (use potentiometer as dimmer).

   Hints: analogWrite(pin, value) will output an analog value.
          Analog output must be from 0-255.
          Only PWM pins (3, 5, 6, 9, 10, 11) can use analog output
*/

//constant integers (const int) cannont be changed later in the program
//potentiometer connected to A0
const int pot = A0;

//create integer for potentiometer value
//initialize a value of 0
int potValue = 0;

void setup() {

  //set pot to input
  pinMode(pot, INPUT);

  //enable serial monitor
  Serial.begin(9600);
}

void loop() {

  //read potentiometer and assign to potValue
  potValue = analogRead(pot);

  //print initial reading to serial monitor
  Serial.print("Pot Reading = ");
  Serial.print(potValue);

  //analogRead(pin) will return a value of 0-1023, but sometimes 0-255 (1/4) is more useful
  //divide potValue by 4 (this is an assignment, not an equation!)
  potValue = potValue / 4;

  //print new potValue to Serial monitor
  Serial.print("     Calculated Value = ");
  Serial.println(potValue);

  //delay for stability
  delay(10);
}
